[asterisk-commits] tzafrir: branch group/zapata_conf r84140 - /team/group/zapata_conf/contrib/sc...

SVN commits to the Asterisk project asterisk-commits at lists.digium.com
Sat Sep 29 20:40:24 CDT 2007


Author: tzafrir
Date: Sat Sep 29 20:40:23 2007
New Revision: 84140

URL: http://svn.digium.com/view/asterisk?view=rev&rev=84140
Log:
test_install: a script to save me a separate test system.

Added:
    team/group/zapata_conf/contrib/scripts/test_install   (with props)

Added: team/group/zapata_conf/contrib/scripts/test_install
URL: http://svn.digium.com/view/asterisk/team/group/zapata_conf/contrib/scripts/test_install?view=auto&rev=84140
==============================================================================
--- team/group/zapata_conf/contrib/scripts/test_install (added)
+++ team/group/zapata_conf/contrib/scripts/test_install Sat Sep 29 20:40:23 2007
@@ -1,0 +1,53 @@
+#!/bin/sh
+
+# test_install: run asterisk from a newly-built copy with minimal changes.
+
+# Copyright (C) 2007 Tzafrir Cohen <tzafrir.cohen at xorcom.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+# USA
+
+BASE_DIR=$PWD/inst
+AST_CONF=$BASE_DIR/etc/asterisk/asterisk.conf
+
+case "$1" in
+install)
+  make install DESTDIR=$BASE_DIR
+  ;;
+samples)
+  make samples DESTDIR=$BASE_DIR
+  cat <<EOF >$AST_CONF
+[directories]
+astetcdir    => $BASE_DIR/etc/asterisk
+astmoddir    => $BASE_DIR/usr/lib/asterisk/modules
+astvarlibdir => $BASE_DIR/var/lib/asterisk
+astagidir    => $BASE_DIR/var/lib/asterisk/agi
+astrundir    => $BASE_DIR/var/run/asterisk
+astspooldir  => $BASE_DIR/var/spool/asterisk
+astlogdir    => $BASE_DIR/var/log/asterisk
+EOF
+  ;;
+run)
+  shift
+  $BASE_DIR/usr/sbin/asterisk -C $AST_CONF "$@"
+  ;;
+*)
+  echo "$0: usage:        Equivalent of:"
+  echo "$0 install        make install"
+  echo "$0 samples        make samples"
+  echo "$0 run [params]   asterisk [params]"
+  exit 1
+  ;;
+esac

Propchange: team/group/zapata_conf/contrib/scripts/test_install
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: team/group/zapata_conf/contrib/scripts/test_install
------------------------------------------------------------------------------
    svn:executable = *

Propchange: team/group/zapata_conf/contrib/scripts/test_install
------------------------------------------------------------------------------
    svn:keywords = Author Date Id Revision

Propchange: team/group/zapata_conf/contrib/scripts/test_install
------------------------------------------------------------------------------
    svn:mime-type = text/plain




More information about the asterisk-commits mailing list